#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct Fish_TherionTreasureCFGData
{
	//编号
	int mID;
	//抽奖类型
	int mDrawType;
	//朱雀倍率
	std::vector<int> mRosefinchRate;
	//朱雀权重
	int mRosefinchWeight;
};

class Fish_TherionTreasureCFG
{
public:
private:
	static std::auto_ptr<Fish_TherionTreasureCFG> msSingleton;
public:
	int GetCount();
	const Fish_TherionTreasureCFGData* GetData(int ID);
	boost::unordered_map<int, Fish_TherionTreasureCFGData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static Fish_TherionTreasureCFG* GetSingleton();
private:
	boost::unordered_map<int, Fish_TherionTreasureCFGData> mMapData;
};
